#!/bin/bash

### bug 327961
is_remount_efi="no"
is_remount_boot="no"
is_efi_ro=$(mount | grep " /boot/efi " | grep " (ro,") || true
if [ -n "${is_efi_ro}" ];then
        /usr/bin/mount -o remount,rw /boot/efi
        is_remount_efi="yes"
fi
is_boot_ro=$(mount | grep " /boot " | grep " (ro,") || true
if [ -n "${is_boot_ro}" ];then
        /usr/bin/mount -o remount,rw /boot/
        is_remount_boot="yes"
fi

### 清理EDU锁屏配置
if [ -e /usr/share/glib-2.0/schemas/90_kylin-edu-settings.gschema.override ];then
	rm /usr/share/glib-2.0/schemas/90_kylin-edu-settings.gschema.override
	glib-compile-schemas /usr/share/glib-2.0/schemas/
fi

### 设置默认背景
if [ -f /usr/share/backgrounds/v10/v10-1-warty-final-ubuntukylin.jpg ];then
	cp /usr/share/backgrounds/v10/v10-1-warty-final-ubuntukylin.jpg /usr/share/backgrounds/1-warty-final-ubuntukylin.jpg
fi

# bug 319121
# ### 设置grub背景
# if [ -f /usr/share/grub/themes/UKUI/background-v10.png ];then
# 	cp /usr/share/grub/themes/UKUI/background-v10.png /usr/share/grub/themes/UKUI/background.png
# fi

### 设置全局主题
if [ -f /usr/share/config/globaltheme/Light-Seeking/v10-preview.png ];then
	cp /usr/share/config/globaltheme/Light-Seeking/v10-preview.png /usr/share/config/globaltheme/Light-Seeking/preview.png
fi

### 设置默认的plymouth主题
plymouth="/usr/share/plymouth/themes/ubuntukylin/ubuntukylin.plymouth"
if [ -f ${plymouth} ];then
	update-alternatives --install /usr/share/plymouth/themes/default.plymouth default.plymouth ${plymouth} 160
	update-alternatives --set default.plymouth ${plymouth}
	update-initramfs -u
fi

is_set_APP_SCENE=$(cat /etc/.kylin-osinfo | grep "^APP_SCENE=") || true
if [ -n "${is_set_APP_SCENE}" ];then
        sed 's/^APP_SCENE=.*/APP_SCENE=General/g' -i /etc/.kylin-osinfo
else
        echo "APP_SCENE=General" >> /etc/.kylin-osinfo
fi
sed '/^VERSION=/d' -i /etc/.kylin-osinfo
sed '/^VERSION_US=/d' -i /etc/.kylin-osinfo

### bug 290105
update-grub || true

### bug 327961
if [ "${is_remount_efi}" == "yes" ];then
        /usr/bin/mount -o remount,ro /boot/efi
fi
if [ "${is_remount_boot}" == "yes" ];then
        /usr/bin/mount -o remount,ro /boot/
fi
